#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai3_14.inp");
ofstream f2("bai3_14.out");
long long n,m,d,i;
string a;
long long mh(long long i)
{
    n=(i+5)%26;
    return n+65;
}
int main()
{
    f1>>a;
    d=a.length();
    for(i=0;i<d;i++){
        m=int(a[i])-65;
    f2<<char(mh(m));
    }
    f1.close();
    f2.close();
}
